Subject: Re: buildlink3 change broke 2006Q1 (was: Re: CVS commit: wip/libassa)
To: Roland Illig <>
From: Todd Vierling <>
List: tech-pkg
Date: 05/24/2006 11:11:26
On 5/24/06, Roland Illig <> wrote:
> This looks like a change that did not consider backwards compatibility.
> I think we should always ensure that wip is usable with the latest
> stable branch, not only with pkgsrc-current.

pkgsrc-wip is not intended for use with a pkgsrc branch; it is *only*
intended for use with pkgsrc-current.

To make pkgsrc-wip compatible with branches, either pkgsrc-wip would
have to be branched (yuck), or pkgsrc-wip would require special hacks
for compatibility that would be invalid once the package was moved to
main pkgsrc (double yuck).

-- Todd Vierling <> <> <>